#include <ecf/ECF.h>
#include "fitnes.hpp"

int main(int argc, char **argv)
{
	StateP state = static_cast<StateP> (new State);

	SchedulingEvalOpP evalOp = static_cast<SchedulingEvalOpP> (new SchedulingEvalOp);
	state->setEvalOp(evalOp);

	// citanje terminala iz 'fitness.txt'
	// -- ne radimo jer se cita iz 'terminalset' parametra!
	//TreeP tree = (TreeP) new Tree::Tree;
	//evalOp->in_file = "fitness.txt";
	//evalOp->ReadTerminals(tree);
	//state->addGenotype(tree);

	state->initialize(argc, argv);
	state->run();

	// citanje jedinke iz 'ind.txt' i provjera dobrote
	//XMLNode xInd = XMLNode::parseFile("./ind.txt", "Individual");
	//IndividualP ind = (IndividualP) new Individual(state);
	//ind->read(xInd);
	//state->getAlgorithm()->evaluate(ind);
	//std::cout << ind->toString();

	return 0;
}