//////////////////////////////////////////////////////////////////////////////
/*
Glavni program za stvaranje test-case-ova za problem rasporedjivanja
Takodjer i ispitivanje raznih heuristika
2005/02
Domagoj Jakobovic
FEEC, Zagreb
http://www.zemris.fer.hr/~yeti
*/
//////////////////////////////////////////////////////////////////////////////

#include "scheduler.h"
#include "testcases.h"

int main(int argc, char **argv)
{
	cout << "-- Program za ispitivanje ucinkovitosti postupaka rasporedjivanja u zadanom okruzenju\n";
	cout << "Ulazne datoteke:\n";
	cout << "- fitness.txt : datoteka definicije okruzenja i ispitnih primjera\n";
	cout << "- raspored_GP.txt :  datoteka s rasporedima za zadane ispitne primjere (generira je program za ucenje)\n";
	cout << "Izlazne datoteke: rasporedi za prikladne algoritme rasporedjivanja (ovisno o okruzenju)\n\n";

	//cout << "-- Program za generiranje ispitnih primjera za zadano okruzenje\n";
	//cout << "Ulazne datotoeke:\n";
	//cout << "- fitness.txt : datoteka definicije okruzenja i svojstava ispitnih primjera\n";
	//cout << "Izlazne datoteke:\n";
	//cout << "- podaci o poslovima, strojevima i ogranicenjima (ovisno o okruzenju)\n\n";

	Scheduler R;
	// gledamo li rjesenja OR testova
	//R.sORFile = "OR_rjesenja.txt";

	//R.MakeSets("fitness.txt");
	R.Test("fitness.txt", argv[1]);
	puts("Gotovo!\n");
	if(!argv[1])
		system("pause");
	//fgetc(stdin);
	return 0;
}

/*#include<vector>
#include<ctime>
typedef vector<double> redak;
int main()
{
//	vector<redak> m(100);
//	for(int i=0; i<100; i++)
//		m[i].reserve(100);
	time_t now, then;
	double r;
	Matrica m;
	m.Init(100,100);

	then = time(NULL);

	for(int j=0; j<100; j++)
		for(int i=0; i<9999999; i++)
		{	r = m[i%100][i%50];
			r += m[i%100][i%50];
			m[i%100][i%50] = r;
		}

	now = time(NULL);
	cout << now - then << endl;
	return 0;
}*/